%global momorel 1
Name:           libgexiv2
Version: 0.10.7
Release:        %{momorel}m%{?dist}
Summary:        Gexiv2 is a GObject-based wrapper around the Exiv2 library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://trac.yorba.org/wiki/gexiv2 
Source0: http://download.gnome.org/sources/gexiv2/0.10/gexiv2-%{version}.tar.xz
NoSource:	0
Patch0:         %{name}-pkgconf.patch


BuildRequires:  exiv2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  pygobject3
BuildRequires:  python3-devel
#BuildRequires:  python3-gobject

%description
libgexiv2 is a GObject-based wrapper around the Exiv2 library. 
It makes the basic features of Exiv2 available to GNOME applications.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package    python2
Summary:    Python2 bindings for %{name}
Requires:   %{name} = %{version}-%{release}
Requires:   pygobject3

%description    python2
This package contains the python2 bindings for %{name}

%package    python3
Summary:    Python3 bindings for %{name}
Requires:   %{name} = %{version}-%{release}
Requires:   python3-gobject

%description    python3
This package contains the python3 bindings for %{name}

%prep
%setup -q -n gexiv2-%{version}
#%%patch0 -p0

%build
CFLAGS="%{optflags}"; export CFLAGS
CXXFLAGS="%{optflags}"; export CXXFLAGS
FFLAGS="%{optflags} -I/usr/lib64/gfortran/modules"; export FFLAGS
LDFLAGS="-Wl,-z,relro"; export LDFLAGS

./configure --enable-introspection --prefix=/usr
%make


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} LIB=%{_lib}

find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'
 
%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING THANKS README
%{_libdir}/libgexiv2.so.*
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gexiv2/
%{_datadir}/gir-1.0/GExiv2-0.10.gir
%{_libdir}/libgexiv2.so
%{_libdir}/pkgconfig/gexiv2.pc
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gtk-doc/html/gexiv2/

%files python2
%{python2_sitearch}/gi/overrides/GExiv2.py*

%files python3
%{python3_sitearch}/gi/overrides/GExiv2.py
%{python3_sitearch}/gi/overrides/__pycache__/GExiv2*

%changelog
* Sun Jan 07 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.7-1m)
- update to 0.10.7

* Sun Dec 21 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.2-3m)
- correct Requires 

* Sat Dec 20 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.10.2-2m)
- rebuild against pygobject3-base-3.14.0-1m

* Sun Oct 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.2-1m)
- update to 0.10.2

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Thu Mar 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0

* Sat Jul 20 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1
- add python binding

* Thu Aug 16 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.1-1m)
- update 0.4.1
- rebuild against exiv2-0.23

* Sat Oct 15 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.1-2m)
- rebuild against exiv2-0.22

* Fri Jul 15 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.3.1-1m)
- update 0.3.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.0-2m)
- rebuild for new GCC 4.6

* Fri Apr  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-1m)
- update 0.3.0
- rebuild against exiv2-0.21.1

* Wed Feb  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.2.2-1m)
- update 0.2.2

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.0-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.0-2m)
- full rebuild for mo7 release

* Wed Jul  7 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.0-1m)
- Initial commit Momonga Linux
